## wds 1.0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

project(wds CXX)

set(WDS_VERSION_MAJOR 1)
set(WDS_VERSION_MINOR 0)
set(WDS_VERSION_PATCH 0)

enable_testing()

include(GNUInstallDirs)

add_subdirectory(data)
add_subdirectory(libwds/rtsp)
add_subdirectory(libwds/rtsp/tests)
add_subdirectory(libwds/common)
add_subdirectory(libwds/source)
add_subdirectory(libwds/sink)
add_subdirectory(libwds)
add_subdirectory(p2p)
add_subdirectory(mirac_network)
add_subdirectory(sink)
add_subdirectory(desktop_source)

=== sink/CMakeLists.txt ===
#FIXME in the future: with cmake 2.8.12 and up it's better
#to use target_compile_options or add_compile_options
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -pthread -std=c++11")

include_directories ("${PROJECT_SOURCE_DIR}")
include_directories ("${PROJECT_SOURCE_DIR}/include")
include_directories ("${PROJECT_SOURCE_DIR}/p2p")
include_directories ("${PROJECT_SOURCE_DIR}/mirac_network")

find_package(PkgConfig REQUIRED)

pkg_check_modules (GLIB2 REQUIRED glib-2.0)
include_directories(${GLIB2_INCLUDE_DIRS})

pkg_check_modules (GIO REQUIRED gio-2.0)
include_directories(${GIO_INCLUDE_DIRS})

pkg_check_modules (GST REQUIRED gstreamer-1.0)
include_directories(${GST_INCLUDE_DIRS})

add_executable(sink-test main.cpp sink-app.cpp sink.cpp gst_sink_media_manager.cpp)
target_link_libraries (sink-test mirac wds p2p ${GIO_LIBRARIES} ${GST_LIBRARIES})

=== libwds/common/CMakeLists.txt ===
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -Wall -fvisibility=hidden -fPIC")
set(CMAKE_C_FLAGS "${CMAKE_CXX_FLAGS} -std=c99 -Wall")

include_directories ("${PROJECT_SOURCE_DIR}" "${PROJECT_SOURCE_DIR}/libwds/rtsp/gen")

add_library(wdscommon OBJECT
    message_handler.cpp rtsp_input_handler.cpp video_format.cpp)
add_dependencies(wdscommon wdsrtsp)

=== debian/changelog ===
wds (1.0.0-0ubuntu3) xenial; urgency=medium

  * debian: control: note vcs urls

 -- Simon Fels <simon.fels@canonical.com>  Thu, 21 Apr 2016 07:15:22 +0200

wds (1.0.0-0ubuntu2) xenial; urgency=medium

  * debian/patches/0001-Fix-sort-order-of-video-format-list.patch:
    - Fix sort order of video format list.

 -- Simon Fels <simon.fels@canonical.com>  Fri, 19 Feb 2016 11:18:46 +0100

wds (1.0.0-0ubuntu1) xenial; urgency=medium

  * New upstream release.
  * debian/patches/*:
    - Drop all as they are now applied upstream.

 -- Simon Fels <simon.fels@canonical.com>  Wed, 10 Feb 2016 12:37:37 +0100

wds (0.0+git20150908+3695aa5-0ubuntu4) vivid; urgency=medium

  * Fix build dependencies
  * Depend on binary package from -dev one
  * debian/patches/0003-Mark-ourself-as-a-proper-C-project-for-cmake.patch
    debian/patches/0004-Add-proper-pkgconfig-file-and-fix-versioning.patch
    debian/patches/0005-Set-correct-lib-dir-in-pkg-config-file.patch:
    - Added proper versioning and a pkg-config file
  * debian/libwds-dev.install
    - Add wds.pc

 -- Simon Fels <simon.fels@canonical.com>  Fri, 27 Nov 2015 11:18:37 +0100

wds (0.0+git20150908+3695aa5-0ubuntu1) vivid; urgency=medium

  * Initial release.
  * debian/patches/0001-Add-support-to-install-libwds.patch:
    - Upstream currently don't has any support to install build binaries
  * debian/patches/0002-Install-necessary-header-files.patch:
    - Upstream currently don't has support to install any header files

 -- Simon Fels <simon.fels@canonical.com>  Tue, 10 Nov 2015 13:27:23 +0100

=== debian/control ===
Source: wds
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Section: net
Priority: optional
Build-Depends: debhelper (>> 9.20120115),
               cmake,
               pkg-config,
               bison,
               flex,
               libglib2.0-dev,
               libgstreamer1.0-dev
Standards-Version: 3.9.6
Homepage: https://github.com/01org/wds
Vcs-Git: https://git.launchpad.net/~phablet-team/+git/wds
Vcs-Browser: https://git.launchpad.net/~phablet-team/+git/wds

Package: libwds0
Section: libs
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Library implementing the Miracast / WiFi Display protocol
 The library implements the Miracast / WiFi Display dialect of RTSP
 and allows its user to provide the missing peaces like network
 management or the actual video content handling.
 .
 This package contains the shared libraries.

Package: libwds-dev
Section: libdevel
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends},
         libwds0 (= ${binary:Version})
Description: Develoment files for the WDS library
 The library implements the Miracast / WiFi Display dialect of RTSP
 and allows its user to provide the missing peaces like network
 management or the actual video content handling.
 .
 This package is needed to compile programs against libwds0,
 as only it includes the header files and static libraries (optionally)
 needed for compiling.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh $@
